<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\ListResponseMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class SingleSelectReply extends \Google\Protobuf\Internal\Message
{
    


    protected $selectedRowId = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getSelectedRowId()
    {
        return isset($this->selectedRowId) ? $this->selectedRowId : '';
    }

    public function hasSelectedRowId()
    {
        return isset($this->selectedRowId);
    }

    public function clearSelectedRowId()
    {
        unset($this->selectedRowId);
    }

    




    public function setSelectedRowId($var)
    {
        GPBUtil::checkString($var, True);
        $this->selectedRowId = $var;

        return $this;
    }

}

